# ###########################################################################
# This file is part of the Alida-C++ library, an 
#
# Advanced Library for Integrated Development of Data Analysis Applications.
#
# Copyright (C) 2012 - @YEAR@
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Fore more information on Alida, visit
#
#    http://www.informatik.uni-halle.de/alida/
#
# ###########################################################################

# ### 
# Most recent change(s):
# 
# $Rev: 4830 $
# $Date: 2012-01-13 13:40:10 +0100 (Fr, 13 Jan 2012) $
# $Author: moeller $
# 
# ###

#############################################################################
# user-specific configuration
#############################################################################

OPENCV_SUPPORT = no
OPENCV_INCLUDE = /usr/include
OPENCV_LIB = /usr/lib

#############################################################################
# global variable settings
#############################################################################
export ARCH     		:= $(shell uname -m)
export SHELL    		:= /bin/sh

export SOURCE   		:= $(shell pwd)
export BUILD    		:= o.$(ARCH)

export LOCAL_LIB_DIR	:= $(ALIDA_CPP)/lib_$(ARCH)

# DYNAMIC / STATIC LIBRARY SUPPORT
# #####################################################

# you can EITHER build dynamic OR static libraries AT ONCE
# they can be build sequentially but if LIBSUFFIX is 'so'
# only the dynamic libs will be linked in MosaicImagesTcl!

# uncomment for dynamic libraries
MAKELIB = dynlib
LIBSUFFIX = so

# uncomment for static libraries
#MAKELIB = lib
#LIBSUFFIX = a

#############################################################

.PHONY : all clean expand install lib localinstall test

# ###########################################################################
